%bcond_with check
%global debug_package %{nil}

%global crate rstest

Name:           rust-rstest
Version:        0.18.2
Release:        %mkrel 1
Summary:        Rust fixture based test framework
Group:          Development/Other
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/rstest
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust fixture based test framework. It use procedural macro to implement
fixtures and table based tests.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENCE-MIT
%license %{crate_instdir}/LICENSE-APACHE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-timeout-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-timeout-devel %{_description}

This package contains library source intended for building other packages which
use the "async-timeout" feature of the "%{crate}" crate.

%files       -n %{name}+async-timeout-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Wed Dec 27 2023 wally <wally> 0.18.2-1.mga10
+ Revision: 2022311
- mageiafy .spec
- imported package rust-rstest


* Mon Sep 25 2023 Fabio Valentini <decathorpe@gmail.com> - 0.18.2-1
- Update to version 0.18.2; Fixes RHBZ#2219708

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun May 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.17.0-1
- Initial Fedora package
